<?php

// $Id: contenture.admin.inc,v 1.1.2.2 2009/09/02 03:45:48 inadarei Exp $

/**
 * @file
 * Admin callbacks for the Contenture module.
 */

/**
 * Implementation of hook_admin_settings()
 */
function contenture_admin_settings_form(&$form_state) {

/*
  $site_id = variable_get('contenture_site_id', '');
  $db_server = variable_get('contenture_db_server', '');
  $region = variable_get('contenture_js_region', 'footer');

*/

  $form['contenture_site_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Contenture site ID'),
    '#default_value' => variable_get('contenture_site_id', ''),
    '#size' => 20,
    '#required' => TRUE,
  );

  $form['contenture_db_server'] = array(
    '#type' => 'textfield',
    '#title' => t('Contenture database server'),
    '#default_value' => variable_get('contenture_db_server', ''),
    '#description' => t('Note: If you do not know Contenture Site ID and Database server, please register with !url. Once you are registered, go to the control panel at: !dashboard, register this website\'s URL with Contenture and it will show you the site ID and database server for the website.',
                  array('!url' => l('contenture.com', 'http://contenture.com/user/register'), 
			'!dashboard' => l('http://contenture.com/user/','http://contenture.com/user/')
		       )
                ),
    '#size' => 20,
    '#required' => TRUE,
  );

  $form['contenture_javascript_customizations'] = array(
    '#type' => 'textarea',
    '#title' => t('Contenture Customization Javascript Code'),
    '#default_value' => variable_get('contenture_javascript_customizations', CONTENTURE_SAMPLE_JS),
    '#description' => t('Hint: saving code in the database is usually not a good idea. You may extract
    code logic into a javascript file, place it in a theme folder and include from theme and only use
    this place to call appropriate javascript function.'),
    '#rows' => 7,
    '#required' => FALSE,
  );
  

  return system_settings_form($form);
}
